Debian Bug report logs - #356548
FTBFS with G++ 4.1: on mips: error: cannot bind packed field

version graph

Package: g++-4.1; Maintainer for g++-4.1 is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 12 Mar 2006 17:48:07 UTC

Severity: important

Tags: fixed-upstream, upstream

Fixed in version gcc-4.1/4.1.1ds1-12

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR26670

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thiemo Seufer <ths@networkno.de>, ben@decadentplace.org.uk, wjl@icecavern.net (Wesley J. Landaker):
Bug#356548; Package par2cmdline. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Thiemo Seufer <ths@networkno.de>, ben@decadentplace.org.uk, wjl@icecavern.net (Wesley J. Landaker). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with G++ 4.1: on mips: error: cannot bind packed field
Date: Sun, 12 Mar 2006 17:27:10 +0000
Package: par2cmdline
Version: 0.4-6
Severity: important

Your package fails to build with G++ 4.1.  I'm filing this bug as
important for now, but when 4.1 will be the default compiler in
unstable (probably in a few weeks) I'll upgrade this to serious.

According to someone I talked to, it seems that "gcc on MIPS is
treating a packed MD5Hash as different from a normal MD5Hash, possibly
because the former can be unaligned."  And: "Ah, but an MD5Hash has an
alignment of 1 anyway".  And: "Given that packed structures are a GCC
extension, I can't play language lawyer and say whether par2cmdline or
gcc is wrong".  And: "Hmm it's not being consistent, because
MainPacket::FileId has the same problem".


If you need MIPS related help, please talk to Thiemo Seufer <ths@networkno.de>.
If you have a patch, I can test it on mips.


> Automatic build of par2cmdline_0.4-6 on bigsur by sbuild/mips 1.89
...
> if g++ -DHAVE_CONFIG_H -I. -I. -I.    -Wall -g -Wall -O2 -MT par2cmdline.o -MD -MP -MF ".deps/par2cmdline.Tpo" -c -o par2cmdline.o par2cmdline.cpp; \
> 	then mv -f ".deps/par2cmdline.Tpo" ".deps/par2cmdline.Po"; else rm -f ".deps/par2cmdline.Tpo"; exit 1; fi
> par2fileformat.h:66: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PACKET_HEADER::length'
> par2fileformat.h:67: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash PACKET_HEADER::hash'
> par2fileformat.h:68: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash PACKET_HEADER::setid'
> par2fileformat.h:79: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash FILEVERIFICATIONENTRY::hash'
> par2fileformat.h:80: warning: ignoring packed attribute on unpacked non-POD field 'leu32 FILEVERIFICATIONENTRY::crc'
> par2fileformat.h:86: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash FILEVERIFICATIONPACKET::fileid'
> par2fileformat.h:87: warning: ignoring packed attribute on unpacked non-POD field 'FILEVERIFICATIONENTRY FILEVERIFICATIONPACKET::entries [0u]'
> par2fileformat.h:101: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash FILEDESCRIPTIONPACKET::fileid'
> par2fileformat.h:102: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash FILEDESCRIPTIONPACKET::hashfull'
> par2fileformat.h:103: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash FILEDESCRIPTIONPACKET::hash16k'
> par2fileformat.h:104: warning: ignoring packed attribute on unpacked non-POD field 'leu64 FILEDESCRIPTIONPACKET::length'
> par2fileformat.h:129: warning: ignoring packed attribute on unpacked non-POD field 'leu64 MAINPACKET::blocksize'
> par2fileformat.h:130: warning: ignoring packed attribute on unpacked non-POD field 'leu32 MAINPACKET::recoverablefilecount'
> par2fileformat.h:131: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash MAINPACKET::fileid [0u]'
> par2fileformat.h:153: warning: ignoring packed attribute on unpacked non-POD field 'leu32 RECOVERYBLOCKPACKET::exponent'
> mainpacket.h: In member function 'const MD5Hash& MainPacket::SetId() const':
> mainpacket.h:101: error: cannot bind packed field '((const MAINPACKET*)((u8*)((const MainPacket*)this)->MainPacket::<anonymous>.CriticalPacket::packetdata))->MAINPACKET::header.PACKET_HEADER::setid' to 'const MD5Hash&'
> par1fileformat.h: At global scope:
> par1fileformat.h:39: warning: ignoring packed attribute on unpacked non-POD field 'leu32 PAR1FILEHEADER::fileversion'
> par1fileformat.h:40: warning: ignoring packed attribute on unpacked non-POD field 'leu32 PAR1FILEHEADER::programversion'
> par1fileformat.h:41: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash PAR1FILEHEADER::controlhash'
> par1fileformat.h:42: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash PAR1FILEHEADER::sethash'
> par1fileformat.h:43: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEHEADER::volumenumber'
> par1fileformat.h:44: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEHEADER::numberoffiles'
> par1fileformat.h:45: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEHEADER::filelistoffset'
> par1fileformat.h:46: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEHEADER::filelistsize'
> par1fileformat.h:47: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEHEADER::dataoffset'
> par1fileformat.h:48: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEHEADER::datasize'
> par1fileformat.h:53: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEENTRY::entrysize'
> par1fileformat.h:54: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEENTRY::status'
> par1fileformat.h:55: warning: ignoring packed attribute on unpacked non-POD field 'leu64 PAR1FILEENTRY::filesize'
> par1fileformat.h:56: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash PAR1FILEENTRY::hashfull'
> par1fileformat.h:57: warning: ignoring packed attribute on unpacked non-POD field 'MD5Hash PAR1FILEENTRY::hash16k'
> par1fileformat.h:58: warning: ignoring packed attribute on unpacked non-POD field 'leu16 PAR1FILEENTRY::name [0u]'
> make[2]: *** [par2cmdline.o] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, wjl@icecavern.net (Wesley J. Landaker):
Bug#356548; Package par2cmdline. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wjl@icecavern.net (Wesley J. Landaker). Full text and rfc822 format available.

Message #10 received at 356548@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 356548@bugs.debian.org
Subject: probably a compiler bug
Date: Mon, 13 Mar 2006 03:31:55 +0000
reassign 356548 g++-4.1
thanks

Ben Hutchings suggested that this is a compiler bug after all.


17:26 <Womble2> Hmm it's not being consistent, because MainPacket::FileId
  has the same problem
17:27 <Womble2> On that basis I'd say it's a gcc bug

-- 
Martin Michlmayr
http://www.cyrius.com/



Bug reassigned from package `par2cmdline' to `g++-4.1'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#356548; Package g++-4.1. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 356548@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 356548@bugs.debian.org
Subject: preprocessed files
Date: Mon, 13 Mar 2006 03:57:23 +0000
[Message part 1 (text/plain, inline)]
preprocessed files attached.
-- 
Martin Michlmayr
http://www.cyrius.com/
[par2cmdline.ii.bz2 (application/octet-stream, attachment)]
[par2cmdline.s.bz2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#356548; Package g++-4.1. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 356548@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 356548@bugs.debian.org
Subject: Re: Processed: probably a compiler bug
Date: Mon, 13 Mar 2006 09:39:12 +0100
owner@bugs.debian.org (Debian Bug Tracking System) writes:

> Processing commands for control@bugs.debian.org:
>
>> reassign 356548 g++-4.1

If you understand what the problem is here, it would be nice if you
could create a useful test case instead of a 30000 lines .ii file that
doesn't even compile on all architectures.

-- 
	Falk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#356548; Package g++-4.1. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 356548@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Falk Hueffner <falk@debian.org>
Cc: 356548@bugs.debian.org, ben@decadentplace.org.uk
Subject: Re: Processed: probably a compiler bug
Date: Mon, 13 Mar 2006 12:48:01 +0000
* Falk Hueffner <falk@debian.org> [2006-03-13 09:39]:
> >> reassign 356548 g++-4.1
> 
> If you understand what the problem is here, it would be nice if you
> could create a useful test case instead of a 30000 lines .ii file that
> doesn't even compile on all architectures.

I don't understand the problem.  Ben (CCed) made a suggestion, but
afaik he hasn't been able yet to come up with a simple test case.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#356548; Package g++-4.1. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadentplace.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 356548@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadentplace.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Falk Hueffner <falk@debian.org>, 356548@bugs.debian.org
Subject: Re: Processed: probably a compiler bug
Date: Mon, 13 Mar 2006 22:25:13 +0000
[Message part 1 (text/plain, inline)]
Martin Michlmayr wrote:
> * Falk Hueffner <falk@debian.org> [2006-03-13 09:39]:
> > >> reassign 356548 g++-4.1
> > 
> > If you understand what the problem is here, it would be nice if you
> > could create a useful test case instead of a 30000 lines .ii file that
> > doesn't even compile on all architectures.
> 
> I don't understand the problem.  Ben (CCed) made a suggestion, but
> afaik he hasn't been able yet to come up with a simple test case.

I have now, and it isn't MIPS-specific:

class le
{
protected:
  int value;
};

struct MD5Hash
{
  MD5Hash(const MD5Hash &);
  char hash[16];
};

struct PACKET_HEADER
{
  le length;
  MD5Hash setid;
} __attribute__ ((packed));

struct MAINPACKET
{
  PACKET_HEADER header;
  MD5Hash fileid[0];
} __attribute__ ((packed));

const MD5Hash& FileId(const char *packetdata, int filenumber)
{
  return ((const MAINPACKET*)packetdata)->fileid[filenumber];
}

const MD5Hash& SetId(const char *packetdata)
{
  return ((const MAINPACKET*)packetdata)->header.setid;
}

// END

SetId provokes the error; FileId doesn't.

Ben.

-- 
Ben Hutchings
One of the nice things about standards is that there are so many of them.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#356548; Package g++-4.1. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 356548@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: Ben Hutchings <ben@decadentplace.org.uk>
Cc: Martin Michlmayr <tbm@cyrius.com>, 356548@bugs.debian.org, control@bugs.debian.org
Subject: Re: Processed: probably a compiler bug
Date: Tue, 14 Mar 2006 00:12:32 +0100
clone 356548 -1
reassign -1 par2cmdline
tags 356548 + upstream
forwarded 356548 http://gcc.gnu.org/PR26670
thanks

Ben Hutchings <ben@decadentplace.org.uk> writes:

> Martin Michlmayr wrote:
>> I don't understand the problem.  Ben (CCed) made a suggestion, but
>> afaik he hasn't been able yet to come up with a simple test case.
>
> I have now, and it isn't MIPS-specific:
>
> class le
> {
> protected:
>   int value;
> };
>
> struct MD5Hash
> {
>   MD5Hash(const MD5Hash &);
>   char hash[16];
> };
>
> struct PACKET_HEADER
> {
>   le length;
>   MD5Hash setid;
> } __attribute__ ((packed));
>
> struct MAINPACKET
> {
>   PACKET_HEADER header;
>   MD5Hash fileid[0];
> } __attribute__ ((packed));
>
> const MD5Hash& FileId(const char *packetdata, int filenumber)
> {
>   return ((const MAINPACKET*)packetdata)->fileid[filenumber];
> }
>
> const MD5Hash& SetId(const char *packetdata)
> {
>   return ((const MAINPACKET*)packetdata)->header.setid;
> }
>
> // END
>
> SetId provokes the error; FileId doesn't.

The problem is that the packedness of MAINPACKET::header isn't
ignored.

Note also that the program will not work as intended, because (as soon
as gcc is fixed) all the packedness is ignored. So I clone this bug.

-- 
	Falk



Bug 356548 cloned as bug 356767. Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR26670. Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 356548-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 356548-close@bugs.debian.org
Subject: Bug#356548: fixed in gcc-4.1 4.1.1ds1-12
Date: Fri, 01 Sep 2006 07:02:51 -0700
Source: gcc-4.1
Source-Version: 4.1.1ds1-12

We believe that the bug you reported is fixed in the latest version of
gcc-4.1, which is due to be installed in the Debian FTP archive:

cpp-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-12_m68k.deb
cpp-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/cpp-4.1_4.1.1-12_powerpc.deb
fastjar_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-12_m68k.deb
fastjar_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/fastjar_4.1.1-12_powerpc.deb
fixincludes_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-12_m68k.deb
fixincludes_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/fixincludes_4.1.1-12_powerpc.deb
g++-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-12_m68k.deb
g++-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/g++-4.1_4.1.1-12_powerpc.deb
gcc-4.1-base_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-12_m68k.deb
gcc-4.1-base_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1-base_4.1.1-12_powerpc.deb
gcc-4.1-locales_4.1.1-12_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-locales_4.1.1-12_all.deb
gcc-4.1-source_4.1.1-12_all.deb
  to pool/main/g/gcc-4.1/gcc-4.1-source_4.1.1-12_all.deb
gcc-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-12_m68k.deb
gcc-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1-12_powerpc.deb
gcc-4.1_4.1.1ds1-12.diff.gz
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds1-12.diff.gz
gcc-4.1_4.1.1ds1-12.dsc
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds1-12.dsc
gcc-4.1_4.1.1ds1.orig.tar.gz
  to pool/main/g/gcc-4.1/gcc-4.1_4.1.1ds1.orig.tar.gz
gfortran-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-12_m68k.deb
gfortran-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/gfortran-4.1_4.1.1-12_powerpc.deb
gobjc++-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-12_m68k.deb
gobjc++-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc++-4.1_4.1.1-12_powerpc.deb
gobjc-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-12_m68k.deb
gobjc-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/gobjc-4.1_4.1.1-12_powerpc.deb
lib64ffi4_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ffi4_4.1.1-12_powerpc.deb
lib64gcc1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gcc1_4.1.1-12_powerpc.deb
lib64gfortran1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64gfortran1_4.1.1-12_powerpc.deb
lib64mudflap0_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64mudflap0_4.1.1-12_powerpc.deb
lib64objc1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64objc1_4.1.1-12_powerpc.deb
lib64ssp0_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64ssp0_4.1.1-12_powerpc.deb
lib64stdc++6-4.1-dbg_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6-4.1-dbg_4.1.1-12_powerpc.deb
lib64stdc++6_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/lib64stdc++6_4.1.1-12_powerpc.deb
libffi4-dev_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-12_m68k.deb
libffi4-dev_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4-dev_4.1.1-12_powerpc.deb
libffi4_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-12_m68k.deb
libffi4_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libffi4_4.1.1-12_powerpc.deb
libgcc1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libgcc1_4.1.1-12_powerpc.deb
libgcc2_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libgcc2_4.1.1-12_m68k.deb
libgfortran1-dev_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-12_m68k.deb
libgfortran1-dev_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1-dev_4.1.1-12_powerpc.deb
libgfortran1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-12_m68k.deb
libgfortran1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libgfortran1_4.1.1-12_powerpc.deb
libmudflap0-dev_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-12_m68k.deb
libmudflap0-dev_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0-dev_4.1.1-12_powerpc.deb
libmudflap0_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-12_m68k.deb
libmudflap0_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libmudflap0_4.1.1-12_powerpc.deb
libobjc1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-12_m68k.deb
libobjc1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libobjc1_4.1.1-12_powerpc.deb
libssp0_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-12_m68k.deb
libssp0_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libssp0_4.1.1-12_powerpc.deb
libstdc++6-4.1-dbg_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-12_m68k.deb
libstdc++6-4.1-dbg_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dbg_4.1.1-12_powerpc.deb
libstdc++6-4.1-dev_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-12_m68k.deb
libstdc++6-4.1-dev_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-dev_4.1.1-12_powerpc.deb
libstdc++6-4.1-doc_4.1.1-12_all.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-doc_4.1.1-12_all.deb
libstdc++6-4.1-pic_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-12_m68k.deb
libstdc++6-4.1-pic_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6-4.1-pic_4.1.1-12_powerpc.deb
libstdc++6_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-12_m68k.deb
libstdc++6_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/libstdc++6_4.1.1-12_powerpc.deb
protoize_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-12_m68k.deb
protoize_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/protoize_4.1.1-12_powerpc.deb
treelang-4.1_4.1.1-12_m68k.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-12_m68k.deb
treelang-4.1_4.1.1-12_powerpc.deb
  to pool/main/g/gcc-4.1/treelang-4.1_4.1.1-12_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 356548@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 29 Aug 2006 21:37:28 +0200
Source: gcc-4.1
Binary: gcc-4.1-soft-float libstdc++6-4.1-pic libstdc++6 lib32ffi4 libobjc1 lib32gfortran1 gfortran-4.1 libgcc1 libstdc++6-4.1-doc lib64gfortran1 libgfortran1-dev libgcc2 lib64stdc++6-4.1-dbg g++-4.1 protoize gcc-4.1-base cpp-4.1 lib64stdc++6 gobjc++-4.1 libffi4 lib64ssp0 libstdc++6-4.1-dbg lib64ffi4 libgfortran1 lib32gcc1 libssp0 gcc-4.1-source libgcc4 lib64objc1 gobjc-4.1 gcc-4.1 lib32objc1 lib32stdc++6-4.1-dbg libstdc++6-4.1-dev libffi4-dev gcc-4.1-locales lib32mudflap0 treelang-4.1 lib64gcc1 fastjar fixincludes libmudflap0-dev lib32stdc++6 libmudflap0 lib32ssp0 lib64mudflap0 gcc-4.1-hppa64
Architecture: all m68k powerpc source 
Version: 4.1.1ds1-12
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.1    - The GNU C preprocessor
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-4.1    - The GNU C++ compiler
 gcc-4.1    - The GNU C compiler
 gcc-4.1-base - The GNU Compiler Collection (base package)
 gfortran-4.1 - The GNU Fortran 95 compiler
 gobjc++-4.1 - The GNU Objective-C++ compiler
 gobjc-4.1  - The GNU Objective-C compiler
 libffi4    - Foreign Function Interface library runtime
 libffi4-dev - Foreign Function Interface library (development files)
 libgcc2    - GCC support library
 libgfortran1 - Runtime library for GNU Fortran applications
 libgfortran1-dev - GNU Fortran library development
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-dev - GCC mudflap support libraries (development files)
 libobjc1   - Runtime library for GNU Objective-C applications
 libssp0    - GCC stack smashing protection library
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.1-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.1-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.1-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-4.1 - The GNU Treelang compiler
Closes: 323426 340293 344041 345574 356548 364820 364820 375522 378599 381572 383705 384036 385021
Changes: 
 gcc-4.1 (4.1.1ds1-12) unstable; urgency=medium
 .
   [Matthias Klose]
   * Update to SVN 20060830.
   * Add backport of PR other/26208, bump libgcc1 shlibs dependency.
   * Add backport of PR c++/26670. Closes: #356548.
   * Apply proposed patch for PR target/24367 (s390).
   * Add /usr/lib/jni to the libjava dlsearch path. Closes: #364820.
   * Build without GFDL licensed docs. Closes: #384036.
     - debian/patches/{svn-doc-updates,pr25524-doc,pr26885-doc}.dpatch:
       Split out -doc specific patches.
     - debian/*.texi, debian/porting.html: Add dummy documentation.
     - debian/rules.unpack, debian/rules.patch: Update for non-gfdl build.
     - fastjar.texi: Directly define the gcctabopt and gccoptlist macros.
 .
   * Merge from Ubuntu:
     - Backport the classpath-0.92, libjava, gcc/java merge from the
       redhat/gcc-4_1-branch branch.
     - Apply the proposed patch for PR libgcj/28698.
     - Change the libgcj/libgij sonames. Rename libgcj7 to libgcj7-0.
     - Do not remove the rpath from libjvm.so and libjawt.so. Some
       configure scripts rely on being able to link that libraries
       directly.
     - When running the i386 binaries on amd64, look in
       /usr/lib32/gcj-x.y and /usr/lib32/jni instead.
     - Add /usr/lib/jni to java.library.path. Closes: #364820.
     - Add debugging symbols for more binary packages to libgcj7-dbg.
       Closes: #383705.
     - libgcj7-dev: Remove conflicts with older libgcjX-dev packages.
     - Do not build the libgcj-bc and lib32gcj-bc packages anymore from
       the gcj-4.1 source.
 .
   [Roman Zippel]
   * debian/patches/m68k-limit_reload.dpatch: Correctly limit reload class.
     Closes: #375522.
   * debian/patches/m68k-split_shift.dpatch: Use correct predicates for long long
     shifts and use more splits. Closes: #381572.
   * debian/patches/m68k-prevent-qipush.dpatch: Prevent combine from creating
     a byte push on the stack (invalid on m68k). Closes: #385021.
   * debian/patches/m68k-autoinc.dpatch: Recognize a few more autoinc possibilities.
   * debian/patches/pr25514.dpatch: Backport from the trunk.
   * debian/patches/m68k-gc.dpatch: Change STACKBOTTOM to LINUX_STACKBOTTOM
     so it works with 2.6 kernels.
   * Other m68k bug reports fixed in 4.1.1-11 and 4.1.1-12:
     Closes: #378599, #345574, #344041, #323426, #340293.
   * Build the stage1 compiler using -g -O2; saves a few hours build time
     and apparently is working at the moment.
Files: 
 02062166d7ff798b65ff1dac38054668 330848 libs optional lib64stdc++6_4.1.1-12_powerpc.deb
 0510b669f29c5a7d2cc9051913a22e63 95918 libs optional lib64mudflap0_4.1.1-12_powerpc.deb
 0a0c99178c7268439da11c74e87a5b80 5736 libs optional lib64ssp0_4.1.1-12_powerpc.deb
 0cdf551488183e52fe107ee9dcd26c27 1411244 devel optional treelang-4.1_4.1.1-12_m68k.deb
 14309ed0d272f1e85fc02e18f9c273e8 34106 libs required libgcc1_4.1.1-12_powerpc.deb
 186b37bd7eb7175237c6dee60ebf60ef 88634 libdevel optional libmudflap0-dev_4.1.1-12_m68k.deb
 21c7be952aabd78e0148e375323cea4c 147408 devel optional fastjar_4.1.1-12_powerpc.deb
 2717d87a2714c2856fc55f92dc043f8e 79006 devel optional fixincludes_4.1.1-12_powerpc.deb
 27bdd2137b0fa11d8fab7757581438d8 1724650 devel optional gfortran-4.1_4.1.1-12_m68k.deb
 2d3f4588241dd02434c0970ce4af60da 7348252 doc optional libstdc++6-4.1-doc_4.1.1-12_all.deb
 37eef0b443b53937afbb2274358b312a 2591196 devel optional gobjc-4.1_4.1.1-12_powerpc.deb
 3804feaeb60001fda959ee328f0c9295 295180 libs required libstdc++6_4.1.1-12_powerpc.deb
 396508d85cb81e3ce546c9b7a1a0b9a6 4888 libs standard libssp0_4.1.1-12_powerpc.deb
 3ba9ebe9a21496b0dcc6d62c66f5c437 1073726 libdevel standard libstdc++6-4.1-dev_4.1.1-12_m68k.deb
 40883b6b5619da5059c6d85d481b1637 169180 libs optional libmudflap0_4.1.1-12_m68k.deb
 505f9b72451cc92ddb169a8e8aa37ac4 1733930 devel optional gobjc++-4.1_4.1.1-12_m68k.deb
 50a6a45f7a369927b41d097a0383d7fe 31414 libs optional lib64gcc1_4.1.1-12_powerpc.deb
 54559b930f6e01785f40c69c4227e24b 367644 devel standard gcc-4.1_4.1.1-12_m68k.deb
 fb8bce99504dc00cf2288b5a8a388192 2420 devel standard gcc-4.1_4.1.1ds1-12.dsc
 57538079e1794948a3ebda26c977bc2c 24062 libdevel optional libffi4-dev_4.1.1-12_powerpc.deb
 5bf06ead79994e3ab68d44f7997df5e2 975414 libdevel extra libstdc++6-4.1-pic_4.1.1-12_powerpc.deb
 5c352e723659f87122610b164ef59823 109776 libs optional libffi4_4.1.1-12_powerpc.deb
 5db2d30212b1c3750c0780656e63e199 138688 libs optional libobjc1_4.1.1-12_m68k.deb
 66d462a9cadbd3201619253dd46862e3 46756 devel optional protoize_4.1.1-12_powerpc.deb
 6f75662b1bbed850484d4df15677d803 37029002 devel standard gcc-4.1_4.1.1ds1.orig.tar.gz
 74906c1f48ff1cf5080b689e204e1a99 1812984 devel standard g++-4.1_4.1.1-12_m68k.deb
 79f95df3610ff6d3d2694870b401ec65 135046 libs optional libgfortran1_4.1.1-12_powerpc.deb
 83f8079210f3f44d68a860ab0841258d 135734 libs optional libgfortran1_4.1.1-12_m68k.deb
 8d39e427acb6a5de60672372b4dc3537 1281648 libdevel extra lib64stdc++6-4.1-dbg_4.1.1-12_powerpc.deb
 9a3877137d5fe55788f7a453f799a807 51474 libs optional lib64objc1_4.1.1-12_powerpc.deb
 9a4cc9e8f7a0ed03dd421527de44c257 1396696 devel optional gcc-4.1-locales_4.1.1-12_all.deb
 9dfdd2b5f0848dcf9d518de7a28b32ac 167362 libs optional lib64gfortran1_4.1.1-12_powerpc.deb
 9e3308f7a80f85b3e4e51a0f75f44aee 2560312 interpreters standard cpp-4.1_4.1.1-12_powerpc.deb
 a7e4baebf5b8aba2abb6db8b874b37f4 3880722 libdevel extra libstdc++6-4.1-dbg_4.1.1-12_powerpc.deb
 a87b8a0ba95da8c4f4e4797f6a438aa1 105768 libs optional libffi4_4.1.1-12_m68k.deb
 af3a736b44809051a18d70b8729aa633 156800 libdevel optional libgfortran1-dev_4.1.1-12_m68k.deb
 b01fabc8731d706ec24206bfa02b6fa1 1581638 devel optional gobjc-4.1_4.1.1-12_m68k.deb
 b34b32544dbd7b60bfdb7cb09e44fb05 6858746 devel standard gcc-4.1_4.1.1ds1-12.diff.gz
 b64c8adc4f69b945b4f1ac8f569404f9 2743614 devel optional gfortran-4.1_4.1.1-12_powerpc.deb
 be44eb34b0a005d5ab29dc8a40f97db3 1706574 libdevel standard libstdc++6-4.1-dev_4.1.1-12_powerpc.deb
 bfe5e8e0a929089e569e87de7324e6f8 376258 libdevel optional libgfortran1-dev_4.1.1-12_powerpc.deb
 c3186f9cfee300011e8bc171a09633f1 2381630 devel optional treelang-4.1_4.1.1-12_powerpc.deb
 c5408c5cff33015c1f71b07d39c63ca4 1554578 interpreters standard cpp-4.1_4.1.1-12_m68k.deb
 c71d072f6e0a1cfafd1c5daac0843e59 485802 devel standard gcc-4.1_4.1.1-12_powerpc.deb
 cbb785f2ef11e4269794f84a58c76d27 272572 libs required libstdc++6_4.1.1-12_m68k.deb
 cd926d46a23cf692fd2b41d71132aed8 195052 libs required gcc-4.1-base_4.1.1-12_m68k.deb
 cec4fed20893b3ab5e13fd0981fe5f0e 138434 devel optional fastjar_4.1.1-12_m68k.deb
 e398eb2ce305451ba1c8c26a64acc5e4 2856966 devel standard g++-4.1_4.1.1-12_powerpc.deb
 e42e483557ccedd6c3ae26c151d18e94 430620 libdevel extra libstdc++6-4.1-pic_4.1.1-12_m68k.deb
 e497f9862f4b3894e28d289f7672f1aa 4276 libs standard libssp0_4.1.1-12_m68k.deb
 e656b5b1fb2070562d98fd8744210b00 10020 libdevel optional libffi4-dev_4.1.1-12_m68k.deb
 e6962f3cef2e5278a92fd75371e7487b 19810 libs required libgcc2_4.1.1-12_m68k.deb
 e80d6bea91e7b29987d7a8e4bb32a297 8850 libs optional lib64ffi4_4.1.1-12_powerpc.deb
 e89a0fdb16ecfee08feff68b9700d715 3760626 libdevel extra libstdc++6-4.1-dbg_4.1.1-12_m68k.deb
 e98bf0aedd7ecd3a1219fdd9c372d722 174776 libs optional libmudflap0_4.1.1-12_powerpc.deb
 e9f05f6156883cf1ed0b0b49effeadc7 36930 devel optional protoize_4.1.1-12_m68k.deb
 efd5398b292e3a63a042d9081b367ff3 141286 libs optional libobjc1_4.1.1-12_powerpc.deb
 f2e41749c01afdda1c04bc5d33fdf346 194928 libs required gcc-4.1-base_4.1.1-12_powerpc.deb
 f36681f0af04165a6e7b6a8a28460bed 225304 libdevel optional libmudflap0-dev_4.1.1-12_powerpc.deb
 f838db8780ad2353ef84a1f2f37c6489 66318 devel optional fixincludes_4.1.1-12_m68k.deb
 f91ae20179a2d32d96e6d41a29cff810 43670228 devel optional gcc-4.1-source_4.1.1-12_all.deb
 fa308c2e68496bc22976de09a8de4791 2766640 devel optional gobjc++-4.1_4.1.1-12_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFE9+53StlRaw+TLJwRAoOrAKCCKQWlHijb37a551iyWjXWd8IVtQCgucV5
Xxw5fkOPoc6x2x4Ot7xzmj8=
=z/ux
-----END PGP SIGNATURE-----




Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:45:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:03:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.